Bug 1161213 - Review Request: sc - Spreadsheet Calculator
Summary: Review Request: sc - Spreadsheet Calculator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-06 16:17 UTC by Mat Booth
Modified: 2015-01-06 06:08 UTC (History)
2 users (show)

Fixed In Version: sc-7.16-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-06 06:08:39 UTC
Type: ---
Embargoed:
projects.rg: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1078901 0 unspecified CLOSED Format Security 2021-02-22 00:41:40 UTC

Internal Links: 1078901

Description Mat Booth 2014-11-06 16:17:23 UTC
Spec URL: https://fedorapeople.org/~mbooth/reviews/sc.spec
SRPM URL: https://fedorapeople.org/~mbooth/reviews/sc-7.16-1.fc21.src.rpm

Description:
Spreadsheet Calculator is a free curses-based spreadsheet program that uses key bindings similar to vi and less.

Fedora Account System Username: mbooth

Koji Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=8047804

Comment 1 Raphael Groner 2014-11-22 18:38:36 UTC
Taken. Review will follow shortly. :)

Comment 2 Raphael Groner 2014-11-22 19:22:56 UTC
I am sorry but I can not find anything to block. Nice job! :)
==> ACCEPT


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
==> Public Domain
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 20 files have unknown license. Detailed output of
     licensecheck in /home/build/fedora-review/1161213-sc/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 143360 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
==> SHOULD be OK cause of Public Domain.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sc-7.16-1.fc22.x86_64.rpm
          sc-7.16-1.fc22.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint sc
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
sc (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libncurses.so.5()(64bit)
    libtinfo.so.5()(64bit)
    rtld(GNU_HASH)



Provides
--------
sc:
    sc
    sc(x86-64)



Source checksums
----------------
http://www.ibiblio.org/pub/Linux/apps/financial/spreadsheet/sc-7.16.tar.gz :
  CHECKSUM(SHA256) this package     : 1997a00b6d82d189b65f6fd2a856a34992abc99e50d9ec463bbf1afb750d1765
  CHECKSUM(SHA256) upstream package : 1997a00b6d82d189b65f6fd2a856a34992abc99e50d9ec463bbf1afb750d1765


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 --verbose -b 1161213
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Mat Booth 2014-11-27 18:03:02 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: sc
Short Description: Spreadsheet Calculator
Upstream URL: http://www.ibiblio.org/pub/Linux/apps/financial/spreadsheet/!INDEX.html
Owners: mbooth
Branches: f21

Comment 4 Gwyn Ciesla 2014-12-01 13:29:56 UTC
Git done (by process-git-requests).

Comment 5 Raphael Groner 2014-12-12 09:27:08 UTC
ping?

Comment 6 Fedora Update System 2014-12-18 20:31:10 UTC
sc-7.16-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sc-7.16-1.fc21

Comment 7 Fedora Update System 2014-12-20 08:39:28 UTC
sc-7.16-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 8 Fedora Update System 2015-01-06 06:08:39 UTC
sc-7.16-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.